%define version 0.2
%define release %mkrel 8

Summary:		A mk712 touchscreen driver/calibration tool for X 
Name:			xtouch
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			System/X11

Source:			xtouch-0.2_ML1.0.0-beta3-8.tar.bz2
Patch0:			xtouch-correct-device.patch
Patch1:			xtouch-conf-file.patch
Patch2:			xtouch-link.patch
URL:			http://unknown_originally_from_Transmeta's_Midori_Linux			
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:		libx11-devel
BuildRequires:		libxtst-devel
BuildRequires:		libxt-devel

%description
Xtouch enables the use of a mk712 touch screen as an input device for X.
If the configuration file is empty, a calibration routine is launched when
X starts.

%prep
%setup -q
patch -p2 < xtouch-bestfit.patch
%patch0 -p1 -b .dev
%patch1 -p1 -b .conf
%patch2 -p0 -b .link

%build
%setup_compile_flags
pushd src
%make
%make dump-mouse
popd

%install
install -d $RPM_BUILD_ROOT%{_usr}/X11R6/bin
install -d $RPM_BUILD_ROOT%{_sysconfdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d
install -d $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d
install src/%{name} $RPM_BUILD_ROOT%{_usr}/X11R6/bin
install src/dump-mouse $RPM_BUILD_ROOT%{_usr}/X11R6/bin
cat /dev/null >  $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

cat >> $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/%{name} <<EOF
#!/bin/sh
# start the touchscreen handler, it will calibrate if there
# is no xtouch file in /etc or ~/.xtouch
XTOUCH_CALIBRATE=1 xtouch &
EOF
chmod +x $RPM_BUILD_ROOT%{_sysconfdir}/X11/xinit.d/%{name}
 
cat >> $RPM_BUILD_ROOT%{_sysconfdir}/devfs/conf.d/mk712.conf <<EOF
REGISTER        ^misc/mk712*        PERMISSIONS     root.root  0644
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc CONFIG
%{_usr}/X11R6/bin/%{name}
%{_usr}/X11R6/bin/dump-mouse
%config(noreplace) %{_sysconfdir}/%{name}
%{_sysconfdir}/X11/xinit.d/%{name}
%config(noreplace) %{_sysconfdir}/devfs/conf.d/mk712.conf



%changelog
* Fri Jan 21 2011 Funda Wang <fwang@mandriva.org> 0.2-8mdv2011.0
+ Revision: 632048
- BR xt
- simpify BR and link
- bunzip2 the patch

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 0.2-7mdv2010.0
+ Revision: 435319
- rebuild

* Mon Aug 04 2008 Thierry Vignaud <tv@mandriva.org> 0.2-6mdv2009.0
+ Revision: 262738
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.2-5mdv2009.0
+ Revision: 257822
- rebuild

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.2-3mdv2008.1
+ Revision: 140994
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - import xtouch


* Sat Jun 03 2006 Stew Benedict <sbenedict@mandriva.com> 0.2-3mdv2007.0
- rebuild

* Tue May 10 2005 Stew Benedict <sbenedict@mandriva.com> 0.2-2mdk
- fix 64bit build

* Fri Apr  2 2004 Stew Benedict <sbenedict@mandrakesoft.com> 0.2-1mdk
- first Mandrakelinux packaging
- change dev accessed (patch0)
- change conf file location - allow user conf file or system one (patch1)
